Bug 259420 - devel/py-setuptools_scm: Needs to be updated to 5.x to get a successful build of py-platformdirs
Summary: devel/py-setuptools_scm: Needs to be updated to 5.x to get a successful build...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kai Knoblich
URL: https://github.com/pypa/setuptools_sc...
Keywords:
Depends on:
Blocks: 259381
  Show dependency treegraph
 
Reported: 2021-10-24 21:05 UTC by Bob Frazier
Modified: 2021-11-02 12:02 UTC (History)
3 users (show)

See Also:
kai: merge-quarterly+


Attachments
py-setuptools_scm-5.0.2.patch (951 bytes, patch)
2021-10-25 11:58 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Frazier 2021-10-24 21:05:09 UTC
Summary:
totem dependency devel/pylint fails to build due to its dependency on devel/py-platformdirs, which does not configure due to bugs in py-setuptools_scm

I am attempting to build multimedia/totem using 2021Q4 ports tree.  I manually updated devel/setuptools_scm with the latest from freshports based on a recent oatch for bug 258891 which was recently committed, and it made no difference

py_setuptools_scm is 4.1.2_3
py-setuptools is 57.0.0
py-platformdirs is 2.4.0

uname: FreeBSD hack.SFT.local 12.2-STABLE FreeBSD 12.2-STABLE r370671 GENERIC  amd64

devel/py-platformdirs has the following errors during configure:

===>   py38-platformdirs-2.4.0 depends on package: py38-setuptools>0 - found
===>   py38-platformdirs-2.4.0 depends on file: /usr/local/bin/python3.8 - found
===>  Configuring for py38-platformdirs-2.4.0
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 3, in <module>
    setup()
  File "/usr/local/lib/python3.8/site-packages/setuptools/__init__.py", line 153, in setup
    return distutils.core.setup(**attrs)
  File "/usr/local/lib/python3.8/distutils/core.py", line 108, in setup
    _setup_distribution = dist = klass(attrs)
  File "/usr/local/lib/python3.8/site-packages/setuptools/dist.py", line 455, in __init__
    _Distribution.__init__(self, {
  File "/usr/local/lib/python3.8/distutils/dist.py", line 292, in __init__
    self.finalize_options()
  File "/usr/local/lib/python3.8/site-packages/setuptools/dist.py", line 801, in finalize_options
    ep(self)
  File "/usr/local/lib/python3.8/site-packages/setuptools_scm/integration.py", line 48, in infer_version
    dist.metadata.version = _get_version(config)
  File "/usr/local/lib/python3.8/site-packages/setuptools_scm/__init__.py", line 156, in _get_version
    dump_version(
  File "/usr/local/lib/python3.8/site-packages/setuptools_scm/__init__.py", line 84, in dump_version
    fp.write(template.format(version=version))
KeyError: 'version_tuple'
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/devel/py-platformdirs
*** Error code 1


Doing a 'make do-test' on py-setuptools_scm generates the following errors (I do not know if they are a red herring or actual indicators):

============================================================= FAILURES =============================================================
___________________________________________________________ test_do[dir] ___________________________________________________________

cmd = 'dir', tmpdir = local('/tmp/pytest-of-zelgadis/pytest-1/test_do_dir_0')

    @pytest.mark.parametrize("cmd", ["ls", "dir"])
    def test_do(cmd, tmpdir):
        if not py.path.local.sysfind(cmd):
            pytest.skip(cmd + " not found")
>       do(cmd, str(tmpdir))

testing/test_basic_api.py:15: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/local/lib/python3.8/site-packages/setuptools_scm/utils.py:108: in do
    out, err, ret = do_ex(cmd, cwd)
/usr/local/lib/python3.8/site-packages/setuptools_scm/utils.py:96: in do_ex
    p = _popen_pipes(cmd, cwd)
/usr/local/lib/python3.8/site-packages/setuptools_scm/utils.py:73: in _popen_pipes
    return subprocess.Popen(
/usr/local/lib/python3.8/subprocess.py:858: in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <subprocess.Popen object at 0x802ed9280>, args = ['dir'], executable = b'dir', preexec_fn = None, close_fds = True
pass_fds = (), cwd = '/tmp/pytest-of-zelgadis/pytest-1/test_do_dir_0'
env = {'.MAKE.LEVEL.ENV': 'MAKELEVEL', 'ARCH': 'amd64', 'BLOCKSIZE': 'K', 'DBUS_SESSION_BUS_ADDRESS': 'unix:path=/tmp/dbus-VevNUuKQ9b,guid=65af341b05b914675915d0a461750232', ...}
startupinfo = None, creationflags = 0, shell = False, p2cread = -1, p2cwrite = -1, c2pread = 8, c2pwrite = 10, errread = 11
errwrite = 12, restore_signals = True, start_new_session = False

    def _execute_child(self, args, executable, preexec_fn, close_fds,
                       pass_fds, cwd, env,
                       startupinfo, creationflags, shell,
                       p2cread, p2cwrite,
                       c2pread, c2pwrite,
                       errread, errwrite,
                       restore_signals, start_new_session):
        """Execute program (POSIX version)"""
    
        if isinstance(args, (str, bytes)):
            args = [args]
        elif isinstance(args, os.PathLike):
            if shell:
                raise TypeError('path-like args is not allowed when '
                                'shell is true')
            args = [args]
        else:
            args = list(args)
    
        if shell:
            # On Android the default shell is at '/system/bin/sh'.
            unix_shell = ('/system/bin/sh' if
                      hasattr(sys, 'getandroidapilevel') else '/bin/sh')
            args = [unix_shell, "-c"] + args
            if executable:
                args[0] = executable
    
        if executable is None:
            executable = args[0]
    
        sys.audit("subprocess.Popen", executable, args, cwd, env)
    
        if (_USE_POSIX_SPAWN
                and os.path.dirname(executable)
                and preexec_fn is None
                and not close_fds
                and not pass_fds
                and cwd is None
                and (p2cread == -1 or p2cread > 2)
                and (c2pwrite == -1 or c2pwrite > 2)
                and (errwrite == -1 or errwrite > 2)
                and not start_new_session):
            self._posix_spawn(args, executable, env, restore_signals,
                              p2cread, p2cwrite,
                              c2pread, c2pwrite,
                              errread, errwrite)
            return
    
        orig_executable = executable
    
        # For transferring possible exec failure from child to parent.
        # Data format: "exception name:hex errno:description"
        # Pickle is not used; it is complex and involves memory allocation.
        errpipe_read, errpipe_write = os.pipe()
        # errpipe_write must not be in the standard io 0, 1, or 2 fd range.
        low_fds_to_close = []
        while errpipe_write < 3:
            low_fds_to_close.append(errpipe_write)
            errpipe_write = os.dup(errpipe_write)
        for low_fd in low_fds_to_close:
            os.close(low_fd)
        try:
            try:
                # We must avoid complex work that could involve
                # malloc or free in the child process to avoid
                # potential deadlocks, thus we do all this here.
                # and pass it to fork_exec()
    
                if env is not None:
                    env_list = []
                    for k, v in env.items():
                        k = os.fsencode(k)
                        if b'=' in k:
                            raise ValueError("illegal environment variable name")
                        env_list.append(k + b'=' + os.fsencode(v))
                else:
                    env_list = None  # Use execv instead of execve.
                executable = os.fsencode(executable)
                if os.path.dirname(executable):
                    executable_list = (executable,)
                else:
                    # This matches the behavior of os._execvpe().
                    executable_list = tuple(
                        os.path.join(os.fsencode(dir), executable)
                        for dir in os.get_exec_path(env))
                fds_to_keep = set(pass_fds)
                fds_to_keep.add(errpipe_write)
                self.pid = _posixsubprocess.fork_exec(
                        args, executable_list,
                        close_fds, tuple(sorted(map(int, fds_to_keep))),
                        cwd, env_list,
                        p2cread, p2cwrite, c2pread, c2pwrite,
                        errread, errwrite,
                        errpipe_read, errpipe_write,
                        restore_signals, start_new_session, preexec_fn)
                self._child_created = True
            finally:
                # be sure the FD is closed no matter what
                os.close(errpipe_write)
    
            self._close_pipe_fds(p2cread, p2cwrite,
                                 c2pread, c2pwrite,
                                 errread, errwrite)
    
            # Wait for exec to fail or succeed; possibly raising an
            # exception (limited in size)
            errpipe_data = bytearray()
            while True:
                part = os.read(errpipe_read, 50000)
                errpipe_data += part
                if not part or len(errpipe_data) > 50000:
                    break
        finally:
            # be sure the FD is closed no matter what
            os.close(errpipe_read)
    
        if errpipe_data:
            try:
                pid, sts = os.waitpid(self.pid, 0)
                if pid == self.pid:
                    self._handle_exitstatus(sts)
                else:
                    self.returncode = sys.maxsize
            except ChildProcessError:
                pass
    
            try:
                exception_name, hex_errno, err_msg = (
                        errpipe_data.split(b':', 2))
                # The encoding here should match the encoding
                # written in by the subprocess implementations
                # like _posixsubprocess
                err_msg = err_msg.decode()
            except ValueError:
                exception_name = b'SubprocessError'
                hex_errno = b'0'
                err_msg = 'Bad exception data from child: {!r}'.format(
                              bytes(errpipe_data))
            child_exception_type = getattr(
                    builtins, exception_name.decode('ascii'),
                    SubprocessError)
            if issubclass(child_exception_type, OSError) and hex_errno:
                errno_num = int(hex_errno, 16)
                child_exec_never_called = (err_msg == "noexec")
                if child_exec_never_called:
                    err_msg = ""
                    # The error must be from chdir(cwd).
                    err_filename = cwd
                else:
                    err_filename = orig_executable
                if errno_num != 0:
                    err_msg = os.strerror(errno_num)
>               raise child_exception_type(errno_num, err_msg, err_filename)
E               OSError: [Errno 8] Exec format error: 'dir'

/usr/local/lib/python3.8/subprocess.py:1704: OSError
------------------------------------------------------- Captured stdout call -------------------------------------------------------
cmd 'dir'
===================================================== short test summary info ======================================================
SKIPPED [15] /e-drive/workfiles/usr/ports/devel/py-setuptools_scm/work-py38/setuptools_scm-4.1.2/testing/test_file_finder.py:27: hg executable not found
SKIPPED [5] testing/test_mercurial.py:37: hg executable not found
SKIPPED [3] testing/test_mercurial.py: hg executable not found
SKIPPED [1] testing/test_mercurial.py:106: hg executable not found
SKIPPED [1] testing/test_mercurial.py:116: hg executable not found
SKIPPED [1] testing/test_mercurial.py:141: hg executable not found
SKIPPED [1] testing/test_mercurial.py:146: hg executable not found
SKIPPED [1] testing/test_mercurial.py:153: hg executable not found
SKIPPED [1] testing/test_mercurial.py:166: hg executable not found
SKIPPED [1] testing/test_mercurial.py:176: hg executable not found
SKIPPED [1] testing/test_regressions.py:83: this bug is only valid on windows
SKIPPED [1] testing/test_setuptools_support.py:68: integration with old versions no longer needed on py3.6+
SKIPPED [1] testing/test_setuptools_support.py:74: integration with old versions no longer needed on py3.6+
SKIPPED [1] testing/test_setuptools_support.py:81: integration with old versions no longer needed on py3.6+
=================================== 1 failed, 112 passed, 34 skipped, 1 xfailed in 15.71 seconds ===================================
*** Error code 1


marked as "affects some people" as there may be some underlying reason for it like my build environment which I'm describing here)

build environment (exports) - edited things that are security issues

SSH_AUTH_SOCK=/path/to/socket
SESSION_MANAGER=local/path/to/session/mgr
VENDOR=amd
PAGER=less
XDG_CURRENT_DESKTOP=MATE
PWD=/usr/ports/devel/py-setuptools_scm
NO_AT_BRIDGE=1
MATE_DESKTOP_SESSION_ID=this-is-deprecated
USER=username
HOME=/root
QT_SCALE_FACTOR=1
DBUS_SESSION_BUS_ADDRESS=unix:path=/tmp/dbus-VevNUuKQ9b,guid=65af341b05b914675915d0a461750232
BLOCKSIZE=K
OSTYPE=FreeBSD
WINDOWPATH=9
MACHTYPE=x86_64
VTE_VERSION=6402
GTK_OVERLAY_SCROLLING=0
MAIL=/var/mail/username
QT_AUTO_SCREEN_SCALE_FACTOR=0
HOST=hostname
LOGNAME=username
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
WINDOWID=39958428
SHELL=/bin/csh
HOSTTYPE=FreeBSD
EDITOR=ee
SHLVL=4
XAUTHORITY=/home/username/.Xauthority
GROUP=username
DISPLAY=:0
TERM=xterm-256color
GNOME_KEYRING_CONTROL=/home/username/.cache/keyring-stuff
QT_AUTO_SCREEN_SET_FACTOR=0
QT_FONT_DPI=120
GDK_SCALE=1
GDK_DPI_SCALE=1
DISTDIR=/e-drive/distfiles
WRKDIRPREFIX=/e-drive/workfiles


these packages are what I've built and installed from ports (started from scratch)

Box2D-2.4.1
CuraEngine-4.8_2,1
GentiumBasic-1102_1
ImageMagick7-7.0.11.12_2
Imath-3.1.3
UCD-13.0.0
aalib-1.4.r5_13
accountsservice-0.6.55_1
adobe-cmaps-20051217_4
advancemame-1.4_3
adwaita-icon-theme-40.1.1
alembic-1.8.3
alsa-lib-1.2.2
aom-3.1.3
apache-ant-1.10.8
apache-commons-codec-1.15
apache-commons-httpclient-3.1_2
apache-commons-lang3-3.8.1
apache-commons-logging-1.2
apache24-2.4.51
appres-1.0.5
appstream-glib-0.7.18
apr-1.7.0.1.6.1_1
arduino-avrdude-6.3_3
arduino-builder-1.3.25_2
arduino-core-1.6.18_1
arduino-ctags-5.8_1
arduino-tools-1.8.2_4
arduino18-1.8.5_1
arduinoOTA-1.2.0
argp-standalone-1.3_4
argyllcms-1.9.2_5
at-spi2-atk-2.34.2
at-spi2-core-2.36.0
atf-0.21
atk-2.36.0
atkmm-2.28.0
atril-1.25.1_3
audacity-3.0.2_1
autoconf-2.69_3
autoconf-wrapper-20131203
autoconf213-2.13.000227_7
automake-1.16.4
avahi-app-0.8
avr-binutils-2.37_1,1
avr-gcc-10.2.0
avr-libc-2.0.0_4,1
avrdude-6.3_3
babl-0.1.88
bash-5.1.8
bash-completion-2.11,2
bdftopcf-1.1_2
binutils-2.37_1,1
bison-3.7.6,1
bitmap-1.0.9
blas-3.10.0
blender-2.91.0_13
boehm-gc-8.0.6
boost-jam-1.72.0
boost-libs-1.72.0_5
bootstrap-openjdk11-11.0.5.10.1
bootstrap-openjdk8-r450802_2
bossa-1.9.1
botan2-2.18.1
brotli-1.0.9,1
bsdisks-0.26
c-ares-1.17.2
ca_root_nss-3.69_1
cabextract-1.9.1
cairo-1.17.4,3
cairomm-1.12.2_4
caja-1.24.1_1
caja-extensions-1.24.1_1
cantarell-fonts-0.301
cargo-c-0.9.4
cblas-3.10.0
cdparanoia-3.9.8_10
cdrdao-1.2.4_3
cdrtools-2021.09.18
celestia-glut-1.6.1_13
celt-0.11.3_3
cgal-5.3
cheese-41.0
chromium-92.0.4515.159_2
clucene-2.3.3.4_19
clutter-1.26.4
clutter-gst3-3.0.27_1
clutter-gtk3-1.8.4_1
cmake-3.21.3
cmocka-1.1.5
cogl-1.22.8_1
colord-1.3.5_1
consolekit2-1.2.4
cppunit-1.14.0_10
crosextrafonts-caladea-20130214_4
crosextrafonts-carlito-20130920_4
ctags-5.8
cups-2.3.3op2
cups-filters-1.28.10
curl-7.79.1
cvsps-2.1_2
cyrus-sasl-2.1.27_2
dav1d-0.9.2
db5-5.3.28_7
dbus-1.12.20_5
dbus-glib-0.112
dcmtk-3.6.6_1
dconf-0.40.0
ddrescue-1.25
dejavu-2.37_1
desktop-file-utils-0.26
dialog4ports-0.1.6_1
djvulibre-3.5.28
dmake-4.13.1,1
docbook-1.5
docbook-sgml-4.5_1
docbook-to-man-1.0_2
docbook-utils-0.6.14_13
docbook-xml-5.0_3
docbook-xsl-1.79.1_1,1
docbook-xsl-ns-1.79.1
doom-data-1.0_1
dotconf-1.3_1
double-conversion-3.1.5.19
doxygen-1.9.1,2
droid-fonts-ttf-20131024_5
dsssl-docbook-modular-1.79_1,1
dvd+rw-tools-7.1_3
e2fsprogs-libuuid-1.46.4
eigen-3.3.9_1
embree-3.13.1
en-gimp-help-html-2.10.0
en-hunspell-2020.12.07
enca-1.19
enchant2-2.2.15
encodings-1.0.5,1
engrampa-1.24.2
enscript-a4-1.6.6_3
eom-1.24.2_1
espeak-1.48.04_7
evdev-proto-5.8
exempi-2.5.2_1
exiv2-0.27.4,1
expat-2.4.1
expect-5.45.4_2,1
faac-1.30
faad2-2.10.0,1
fdk-aac-2.0.2
ffmpeg-4.4_4,1
fftw3-3.3.9
fftw3-float-3.3.9
figlet-2.2.5
findutils-4.8.0
fireflies-2.07_8
firefox-93.0_1,2
flac-1.3.3_1
flex-2.6.4_2
flite-2.1
flock-2.30.1
fltk-1.3.7
fluidsynth-2.2.3
fluxbox-1.3.7_5
font-adobe-100dpi-1.0.3_4
font-adobe-75dpi-1.0.3_4
font-adobe-utopia-100dpi-1.0.4_4
font-adobe-utopia-75dpi-1.0.4_4
font-adobe-utopia-type1-1.0.4_4
font-alias-1.0.4
font-arabic-misc-1.0.3_4
font-bh-100dpi-1.0.3_4
font-bh-75dpi-1.0.3_4
font-bh-lucidatypewriter-100dpi-1.0.3_4
font-bh-lucidatypewriter-75dpi-1.0.3_4
font-bh-ttf-1.0.3_4
font-bh-type1-1.0.3_4
font-bitstream-100dpi-1.0.3_4
font-bitstream-75dpi-1.0.3_4
font-bitstream-type1-1.0.3_4
font-cronyx-cyrillic-1.0.3_4
font-cursor-misc-1.0.3_4
font-daewoo-misc-1.0.3_4
font-dec-misc-1.0.3_4
font-ibm-type1-1.0.3_4
font-isas-misc-1.0.3_4
font-jis-misc-1.0.3_4
font-micro-misc-1.0.3_4
font-misc-cyrillic-1.0.3_4
font-misc-ethiopic-1.0.4
font-misc-meltho-1.0.3_4
font-misc-misc-1.1.2_4
font-mutt-misc-1.0.3_4
font-schumacher-misc-1.1.2_4
font-screen-cyrillic-1.0.4_4
font-sony-misc-1.0.3_4
font-sun-misc-1.0.3_4
font-util-1.3.2
font-winitzki-cyrillic-1.0.3_4
font-xfree86-type1-1.0.4_4
fontconfig-2.13.94_1,1
freealut-1.1.0_4
freeglut-3.2.1
freerdp-2.4.0
freetype2-2.11.0
freexl-1.0.6
frei0r-1.7.0.18
fribidi-1.0.10
fusefs-exfat-1.3.0
fusefs-libs-2.9.9_2
fusefs-libs3-3.10.5
gamin-0.1.10_10
gcab-1.4
gcc-arm-embedded-10.2.20201211_1
gcc10-10.3.0
gccmakedep-1.0.3
gcr-3.40.0
gdal-3.3.2_1
gdb-11.1
gdbm-1.21
gdk-pixbuf2-2.40.0
gegl-0.4.32
geoclue-2.5.7
geos-3.9.1
get-millis-1.0
getopt-1.1.6
gettext-runtime-0.21
gettext-tools-0.21
gexiv2-0.12.3
gf2x-1.3.0
ghostscript9-agpl-base-9.52_19
ghostscript9-agpl-x11-9.52
giflib-5.2.1
gimp-2.10.28,2
gimp-app-2.10.28,1
gimp-gutenprint-5.3.3_1
git-2.32.0_1
gle-3.1.0_8
glew-2.2.0_3
glfw-3.3.4_1
glib-2.70.0_1,2
glib-networking-2.66.0_1
glibmm-2.64.2,1
glm-0.9.9.8,1
gmake-4.3_2
gmp-6.2.1
gmp-api-58
gnome-desktop-41.0
gnome-keyring-40.0
gnome-mime-data-2.18.0_5
gnome-pty-helper-0.40.2
gnome-video-effects-0.5.0
gnome_subr-1.0
gnupg-2.3.2
gnutls-3.6.16
go-1.17.1,1
gobject-introspection-1.66.1,1
googletest-1.11.0
goom-2k4.0_7
gperf-3.1
graphene-1.10.6
graphite2-1.3.14
graphviz-2.44.1_15
gsed-4.8
gsettings-desktop-schemas-41.0
gsfonts-8.11_8
gsl-2.7
gsm-1.0.19
gssdp-1.4.0.1
gstreamer1-1.16.2
gstreamer1-plugins-1.16.2_3
gstreamer1-plugins-bad-1.16.2
gstreamer1-plugins-gl-1.16.2_2
gstreamer1-plugins-good-1.16.2
gstreamer1-plugins-jpeg-1.16.2
gstreamer1-plugins-ogg-1.16.2
gstreamer1-plugins-theora-1.16.2
gstreamer1-plugins-v4l2-1.16.2_1
gstreamer1-plugins-vorbis-1.16.2
gstreamer1-plugins-vpx-1.16.2_1
gstreamermm-1.10.0
gtar-1.34
gtk-doc-1.33.2
gtk-engines2-2.20.2_3
gtk-murrine-engine-0.98.2_5
gtk-update-icon-cache-3.24.26
gtk2-2.24.33
gtk3-3.24.30
gtkmm24-2.24.5_1
gtkmm30-3.24.2
gtksourceview3-3.24.11
gtksourceview4-4.8.1
gucharmap-13.0.8
gupnp-1.4.0
gutenprint-5.3.3
gvfs-1.46.2
gzstream-1.5_3
hamcrest-1.3
harfbuzz-3.0.0
harfbuzz-icu-3.0.0
hdf-szip-2.1.1
hdf5-1.10.6,1
help2man-1.48.5
hexchat-2.14.3_1
hicolor-icon-theme-0.17
hidapi-0.10.1
hidentd-0.4
hplip-3.20.6
html2text-1.3.2a,1
hunspell-1.7.0_2
hwloc2-2.4.1
hyphen-2.8.8
iceauth-1.0.8_2
icecast-2.4.4,1
ices-2.0.3,1
icon-naming-utils-0.8.90_1
icu-69.1,1
igor-1.595
imake-1.0.8,1
indexinfo-0.3.1
intellij-2020.2.3
intellij-fsnotifier-20160221_6
intellij-pty4j-0.11.4
intltool-0.51.0_1
iperf-2.1.4
isl-0.24
iso-codes-4.2
iso-schematron-xslt-20130313_1
iso8879-1986_3
itstool-2.0.6
jackit-1.9.16
jade-1.2.1_10
jam-2.6
jansson-2.14
jasper-2.0.33
java-simple-serial-connector-2.8.0_1
java-zoneinfo-2021.a
javavmwrapper-2.7.7
jbig2dec-0.19
jbigkit-2.1_1
jpeg-turbo-2.1.1
json-c-0.15_1
json-glib-1.6.2_1
jsoncpp-1.9.4
junit-4.12
kBuild-0.1.9998_14
keepassxc-2.6.6
lame-3.100_3
lapack-3.10.0_1
lcms-1.19_6,1
lcms2-2.12
leveldb-1.23
libArcus-4.8.0_6,1
libFS-1.0.8
libGLU-9.0.2_1
libICE-1.0.10,1
libIDL-0.8.14_5
libSM-1.2.3,1
libX11-1.7.2,1
libXScrnSaver-1.2.3_2
libXau-1.0.9
libXaw-1.0.14,2
libXcomposite-0.4.5,1
libXcursor-1.2.0
libXdamage-1.1.5
libXdmcp-1.1.3
libXext-1.3.4,1
libXfixes-5.0.3_2
libXfont-1.5.4_2,2
libXfont2-2.0.5
libXft-2.3.3
libXi-1.7.10,1
libXinerama-1.1.4_2,1
libXmu-1.1.3,1
libXpm-3.5.13
libXrandr-1.5.2
libXrender-0.9.10_2
libXres-1.2.1
libXt-1.2.1,1
libXtst-1.2.3_2
libXv-1.0.11_2,1
libXvMC-1.0.12
libXxf86dga-1.1.5
libXxf86vm-1.1.4_3
liba52-0.7.4_3
libabw-0.1.3
libao-1.2.0_5
libarchive-3.5.1,1
libargon2-20190702
libass-0.15.2
libassuan-2.5.5
libastylej-arduino-3.0.1_2
libatomic_ops-7.6.10
libbluray-1.3.0,1
libcanberra-0.30_5
libcanberra-gtk3-0.30_5
libcdaudio-0.99.12p2_3
libcddb-1.3.2_4
libcdio-2.1.0
libcdio-paranoia-10.2+2.0.1
libcdr01-0.1.7
libcmis-0.5.2_2
libconfuse-3.3_2
libcue-2.1.0
libdaemon-0.14_1
libdca-0.0.7
libde265-1.0.2_5
libdmx-1.1.4_2
libdrm-2.4.107_1,1
libdv-1.0.0_6
libdvbpsi-1.3.3
libdvdcss-1.4.3
libdvdnav-6.1.1
libdvdread-6.1.2
libe-book-0.1.3_20
libebml-1.4.2
libedit-3.1.20210216,1
libepoll-shim-0.0.20210418
libepoxy-1.5.9
libepubgen-0.1.1
liberation-fonts-ttf-2.1.4,2
libetonyek01-0.1.10,1
libevdev-1.9.1.20200928
libevent-2.1.12
libexif-0.6.23
libexttextcat-3.4.5
libffi-3.3_1
libfmt-8.0.1
libfontenc-1.1.4
libfreehand-0.1.2_20
libftdi-0.20_16
libftdi1-1.5_2
libgcrypt-1.9.4
libgd-2.3.1,1
libgeotiff-1.7.0
libgfx-1.1.0_12
libgit2-1.1.1
libglade2-2.6.4_10
libgltf-0.0.2_23
libglvnd-1.3.4
libgme-0.6.1
libgnome-keyring-3.12.0_2
libgpg-error-1.42
libgphoto2-2.5.26
libgsf-1.14.47_1
libgtop-2.40.0
libgudev-234
libgxps-0.3.1
libheif-1.10.0_2
libiconv-1.16
libid3tag-0.15.1b_2
libidn-1.35
libidn2-2.3.2
libijs-0.35_5
libinotify-20180201_2
libinput-1.16.4
libkate-0.4.1_11
libkml-1.3.0_18
libksba-1.6.0
liblangtag-0.6.2
liblqr-1-0.4.2
libltdl-2.4.6
liblz4-1.9.3,1
libmad-0.15.1b_7
libmatekbd-1.24.1
libmatemixer-1.24.1
libmateweather-1.24.1
libmatroska-1.6.3
libmaxminddb-1.6.0
libmikmod-3.3.11.1_1
libmms-0.6.4_1
libmng-1.0.10_3
libmpeg2-0.5.1_6
libmspack-0.10.1
libmspub01-0.1.4_18
libmtdev-1.1.6
libmtp-1.1.18
libmwaw03-0.3.20
libmypaint-1.6.1
libmysofa-1.2
libnfs-4.0.0_1
libnghttp2-1.44.0
libnotify-0.7.9_1
libnsgif-0.2.1
libnumbertext-1.0.7
libodfgen01-0.1.8
libogg-1.3.5,4
liborcus-0.16.1_1
libpagemaker-0.0.4_10
libpaper-1.1.24.4
libpci-3.7.0_1
libpciaccess-0.16
libpeas-1.26.0
libpotrace-1.16
libproxy-0.4.17
libpsl-0.21.1_2
libpthread-stubs-0.4
libqrencode-4.1.1
libqxp-0.0.0_18
libraqm-0.7.1
librav1e-0.4.1_4
libraw-0.20.2
libreoffice-7.2.1.2
librevenge-0.0.4_13
librsvg2-rust-2.52.0
librtmp-2.4.20190330
librttopo-1.1.0
libsamplerate-0.2.2
libsecret-0.20.4
libserialport-0.1.1_1
libshout-2.4.5
libsidplay-1.36.60
libsigc++-2.10.4
libsmi-0.4.8_1
libsndfile-1.0.31_1
libsodium-1.0.18
libsoup-2.74.0
libsoxr-0.1.3_2
libspectre-0.2.9
libspiro-20200505,1
libssh-0.9.6
libssh2-1.9.0_3,3
libstaroffice-0.0.7
libsunacl-1.0.1
libsysinfo-0.0.3_2
libtasn1-4.17.0
libtextstyle-0.21
libtheora-1.1.1_7
libtool-2.4.6_1
libublio-20070103_3
libudev-devd-0.5.0
libudisks-2.9.2
libunique-3.0.2_3
libunistring-0.9.10_1
libunwind-20201110
libuv-1.42.0
libv4l-1.20.0_2
libva-2.13.0
libvdpau-1.4
libvisio01-0.1.7_4
libvncserver-0.9.13_1
libvorbis-1.3.7_2,3
libvpx-1.11.0
libwacom-1.5
libwmf-0.2.12
libwnck3-3.36.0
libwpd010-0.10.3_4
libwpg03-0.3.3_1
libwps-0.4.12
libx264-0.163.3060
libxcb-1.14_1
libxkbcommon-1.3.1
libxkbfile-1.1.0
libxklavier-5.3_1,1
libxml++-2.40.1,1
libxml2-2.9.12
libxshmfence-1.3_1
libxslt-1.1.34_2
libyaml-0.2.5
libyubikey-1.13
libzip-1.7.3
libzmf-0.0.2_23
lilv-0.24.12
links1-1.04,1
linux-c7-7.9.2009
linux-c7-alsa-lib-1.1.8
linux-c7-alsa-lib-devel-1.1.8
linux-c7-alsa-plugins-oss-1.1.6_3
linux-c7-alsa-plugins-pulseaudio-1.1.6_1
linux-c7-alsa-utils-1.1.8
linux-c7-aspell-0.60.6.1_1
linux-c7-atk-2.28.1_1
linux-c7-audiofile-0.3.6_2
linux-c7-avahi-libs-0.6.31_4
linux-c7-cairo-1.15.12_1
linux-c7-cups-libs-1.6.3_9
linux-c7-curl-7.29.0_12
linux-c7-cyrus-sasl-lib-2.1.26_4
linux-c7-dbus-glib-0.100_1
linux-c7-dbus-libs-1.10.24_3
linux-c7-devtools-7.9.2009
linux-c7-dri-18.3.4_4
linux-c7-elfutils-libelf-0.176_2
linux-c7-elfutils-libs-0.176_2
linux-c7-expat-2.1.0_4
linux-c7-flac-libs-1.3.0_2
linux-c7-fontconfig-2.13.0
linux-c7-freetype-2.8_2
linux-c7-fribidi-1.0.2_1
linux-c7-gdk-pixbuf2-2.36.12
linux-c7-glx-utils-8.3.0_1
linux-c7-gnutls-3.3.29
linux-c7-graphite2-1.3.10
linux-c7-gsm-1.0.13
linux-c7-gtk2-2.24.31
linux-c7-harfbuzz-1.7.5
linux-c7-jasper-libs-1.900.1_5
linux-c7-jbigkit-libs-2.0_2
linux-c7-jpeg-1.2.90_4
linux-c7-libasyncns-0.8_1
linux-c7-libdrm-2.4.97
linux-c7-libgcrypt-1.5.3_4
linux-c7-libgfortran-4.8.5_6
linux-c7-libglade2-2.6.4_1
linux-c7-libglvnd-1.0.1
linux-c7-libgpg-error-1.12_2
linux-c7-libogg-1.3.0_1
linux-c7-libpciaccess-0.14
linux-c7-libpng-1.5.13_3
linux-c7-libsigc++20-2.10.0
linux-c7-libsndfile-1.0.25_6
linux-c7-libssh2-1.8.0_1
linux-c7-libtasn1-4.10
linux-c7-libthai-0.1.14_1
linux-c7-libtheora-1.1.1_1
linux-c7-libtiff-4.0.3_5
linux-c7-libv4l-0.9.5_2
linux-c7-libvorbis-1.3.3_2
linux-c7-libxml2-2.9.1_3
linux-c7-lz4-1.8.3
linux-c7-motif-2.3.4_6
linux-c7-nettle-2.7.1
linux-c7-nspr-4.25.0
linux-c7-nss-3.53.1
linux-c7-openal-soft-1.16.0_3
linux-c7-openldap-2.4.44_2
linux-c7-p11-kit-0.23.5
linux-c7-pango-1.42.4_1
linux-c7-pixman-0.34.0
linux-c7-pulseaudio-libs-10.0_3
linux-c7-pulseaudio-utils-10.0_2
linux-c7-qt-4.8.7_4
linux-c7-qt-x11-4.8.7_4
linux-c7-qtwebkit-2.3.4_2
linux-c7-sdl-1.2.15_3
linux-c7-sdl20-2.0.14
linux-c7-sdl_image-1.2.12_2
linux-c7-sdl_mixer-1.2.12_1
linux-c7-sdl_ttf-2.0.11_2
linux-c7-sqlite-3.7.17_2
linux-c7-systemd-libs-219_10
linux-c7-tcl85-8.5.13_1
linux-c7-tcp_wrappers-libs-7.6_2
linux-c7-tk85-8.5.13_1
linux-c7-trousers-0.3.14_1
linux-c7-wayland-1.15.0
linux-c7-xorg-libs-7.7_9
linux_base-c7-7.9.2009
linuxlibertine-g-20120116_2
listserialc-1.1.0
liveMedia-2020.11.26,2
llvm11-11.0.1_2
llvm12-12.0.1_5
lmdb-0.9.29,1
lp_solve-5.5.2.5
lua52-5.2.4
lua53-5.3.6
luit-20210218
lutok-0.4_7
lv2-1.18.2
lynx-2.8.9.1_1,1
lzip-1.22
lzo2-2.10_1
m4-1.4.19,1
makedepend-1.0.6,1
marco-1.24.2
mate-1.24.1
mate-applets-1.24.1
mate-backgrounds-1.24.2
mate-base-1.24.1_1
mate-calc-1.24.2
mate-control-center-1.24.2
mate-desktop-1.24.1
mate-icon-theme-1.24.0
mate-media-1.24.1
mate-menus-1.24.1
mate-notification-daemon-1.24.2
mate-panel-1.24.2
mate-polkit-1.24.0
mate-power-manager-1.24.3
mate-screensaver-1.24.2_1
mate-session-manager-1.24.3
mate-settings-daemon-1.24.2
mate-system-monitor-1.24.2
mate-terminal-1.24.1
mate-themes-3.22.14
mate-user-guide-1.24.0
mate-utils-1.24.0
mdds-1.7.0
meld-3.20.1,1
mencoder-1.4.0.20210929_1
mesa-dri-21.1.5
mesa-libs-21.1.5_2
meson-0.59.1
metis-5.1.0_8
minixmlto-0.0.3
minizip-1.2.11
mint-themes-0.0.41cf70d
mkfontscale-1.2.1
mozo-1.24.1
mp4v2-2.0.0
mpc-1.2.1
mpdecimal-2.5.1
mpfr-4.1.0_1
mplayer-1.4.0.20210929_1
mplayer-skins-1.1.5
mrouted-3.9.8_1
musepack-2011.08.10
mypaint-brushes-1.3.1
mythes-1.2.4_7
nasm-2.15.05,1
net-snmp-5.9_3,1
netcdf-4.7.4
netpbm-10.91.01
netsurf-buildsystem-1.9
nettle-3.7.3
ninja-1.10.2,2
node-16.10.0
noto-basic-2.0_1
npth-1.6
nspr-4.32
nss-3.71
ntl-11.4.3_1
nvidia-driver-340-340.108_3
nvidia-settings-470.74
o3read-0.0.4
onetbb-2021.3.0
oniguruma-6.9.7.1
openal-soft-1.21.0_1
openblas-0.3.16,1
opencl-3.0
opencollada-1.6.68_2
opencolorio-1.1.1_2
opencore-amr-0.1.5
opencsg-1.4.2_7
openexr-3.1.1
openh264-2.1.1_1,2
openimageio-2.2.16.0_2
openjdk11-11.0.12+7.1
openjdk8-8.302.08.1_2
openjpeg-2.4.0
openjpeg15-1.5.2_1
openldap24-client-2.4.59_2
openocd-0.11.0
openscad-2021.01.01_7
opensubdiv-3.4.3_4
opus-1.3.1
opusfile-0.12
orc-0.4.31
p11-kit-0.24.0
p5-Algorithm-C3-0.11
p5-Algorithm-Diff-1.1903
p5-Any-Moose-0.26
p5-Archive-Any-Lite-0.11
p5-Archive-Zip-1.68
p5-Array-Diff-0.09
p5-Authen-NTLM-1.09_1
p5-Authen-SASL-2.16_1
p5-B-Flags-0.17
p5-B-Hooks-EndOfScope-0.24
p5-CGI-4.53
p5-CPAN-DistnameInfo-0.12_1
p5-Canary-Stability-2013_1
p5-Capture-Tiny-0.48
p5-Carp-Clan-6.08
p5-Class-Accessor-0.51
p5-Class-C3-0.35
p5-Class-Data-Inheritable-0.09
p5-Class-ISA-0.36_1
p5-Class-Inspector-1.36
p5-Class-Load-0.25
p5-Class-Load-XS-0.10
p5-Class-Method-Modifiers-2.13
p5-Class-Singleton-1.6
p5-Class-Tiny-1.006
p5-Class-XSAccessor-1.19_2,1
p5-Clone-0.45
p5-Clone-Choose-0.010
p5-Cpanel-JSON-XS-4.26
p5-Data-Binary-0.01
p5-Data-Dump-1.25
p5-Data-OptList-0.112
p5-Data-Section-0.200007
p5-Data-Section-Simple-0.07_1
p5-DateTime-1.54
p5-DateTime-Format-Builder-0.83
p5-DateTime-Format-Strptime-1.79,1
p5-DateTime-Locale-1.32
p5-DateTime-TimeZone-2.47,1
p5-Devel-Caller-2.06_1
p5-Devel-CheckCompiler-0.07
p5-Devel-Cycle-1.12
p5-Devel-GlobalDestruction-0.14
p5-Devel-OverloadInfo-0.007
p5-Devel-StackTrace-2.04
p5-Devel-Symdump-2.1800
p5-Digest-HMAC-1.04
p5-Dist-CheckConflicts-0.11_1
p5-EV-4.33,1
p5-Encode-Locale-1.05
p5-Error-0.17029
p5-Eval-Closure-0.14
p5-Exception-Class-1.45
p5-Exporter-Tiny-1.002002
p5-ExtUtils-Config-0.008_1
p5-ExtUtils-Helpers-0.026
p5-ExtUtils-InstallPaths-0.012
p5-ExtUtils-MakeMaker-CPANfile-0.09
p5-File-Copy-Recursive-0.45
p5-File-Find-Object-0.3.2
p5-File-HomeDir-1.006
p5-File-Listing-6.14
p5-File-ShareDir-1.118
p5-File-ShareDir-Install-0.13
p5-File-Which-1.27
p5-File-chdir-0.1010
p5-FileHandle-Fmode-0.14
p5-Filter-1.60
p5-GSSAPI-0.28_1
p5-HTML-Parser-3.76_1
p5-HTML-Tagset-3.20_1
p5-HTTP-Cookies-6.10
p5-HTTP-Date-6.05
p5-HTTP-Message-6.33
p5-HTTP-Negotiate-6.01_1
p5-Hash-FieldHash-0.15
p5-Hash-Flatten-1.19_2
p5-Hash-Merge-0.302
p5-IO-HTML-1.004
p5-IO-Handle-Util-0.02
p5-IO-Socket-INET6-2.72_1
p5-IO-Socket-IP-0.41
p5-IO-Socket-SSL-2.072
p5-IO-String-1.08_1
p5-IO-Tty-1.16
p5-IPC-Run-20200505.0
p5-IPC-Run3-0.048_1
p5-Importer-0.026
p5-JSON-MaybeXS-1.004003
p5-LWP-MediaTypes-6.04
p5-Lexical-Var-0.009_2
p5-Lingua-EN-Inflect-1.905
p5-List-AllUtils-0.19
p5-List-MoreUtils-0.430
p5-List-MoreUtils-XS-0.430
p5-List-SomeUtils-0.58
p5-List-SomeUtils-XS-0.58
p5-List-UtilsBy-0.11
p5-Locale-gettext-1.07
p5-Locale-libintl-1.32
p5-Log-Dispatch-2.70
p5-Log-Trace-1.070_1
p5-MRO-Compat-0.13
p5-Mail-Sendmail-0.80
p5-MetaCPAN-Client-2.029000
p5-Module-Build-0.4231
p5-Module-Build-Tiny-0.039_2
p5-Module-Build-XSUtil-0.19
p5-Module-CPANTS-Analyse-1.01
p5-Module-CPANfile-1.1004
p5-Module-Find-0.15
p5-Module-Implementation-0.09_1
p5-Module-Pluggable-5.2
p5-Module-Runtime-0.016
p5-Module-Runtime-Conflicts-0.003_1
p5-Moo-2.005004
p5-Moose-2.2015,1
p5-MooseX-Types-0.50
p5-Mouse-2.5.10,1
p5-Mozilla-CA-20200520
p5-Net-HTTP-6.21
p5-Net-SSLeay-1.90
p5-Opcodes-0.14_1
p5-Package-DeprecationManager-0.17_1
p5-Package-Stash-0.39
p5-Package-Stash-XS-0.29
p5-PadWalker-2.5
p5-Parallel-ForkManager-2.02
p5-Params-Util-1.102
p5-Params-Validate-1.30
p5-Params-ValidationCompiler-0.30_1
p5-Parse-RecDescent-1.967015
p5-Parse-Yapp-1.21
p5-Path-Tiny-0.118
p5-Perl-PrereqScanner-NotQuiteLite-0.9914
p5-Pod-Coverage-0.23_2
p5-Pod-Parser-1.63_1
p5-Pod-Spell-1.20_1
p5-Ref-Util-0.204
p5-Ref-Util-XS-0.117
p5-Regexp-Trie-0.02
p5-Role-Tiny-2.002004
p5-SGMLSpm-1.03_2
p5-Safe-Isa-1.000010
p5-Scalar-List-Utils-1.59,1
p5-Scope-Guard-0.21
p5-Socket-2.032
p5-Socket6-0.29
p5-Software-License-0.104001
p5-Specio-0.47
p5-Spiffy-0.46_1
p5-Sub-Exporter-0.988
p5-Sub-Exporter-ForMethods-0.100054
p5-Sub-Exporter-Progressive-0.001013
p5-Sub-Identify-0.14
p5-Sub-Infix-0.004_1
p5-Sub-Info-0.002
p5-Sub-Install-0.928_1
p5-Sub-Name-0.26,1
p5-Sub-Quote-2.006006
p5-Sub-Uplevel-0.2800
p5-Switch-2.17_1
p5-Task-Weaken-1.06
p5-Term-Table-0.015
p5-Test-Base-0.89
p5-Test-Pod-1.52
p5-Test-Pod-Coverage-1.10_2
p5-Test-Simple-1.302187
p5-Text-Diff-1.45
p5-Text-Template-1.60
p5-Text-Unidecode-1.30
p5-TimeDate-2.33,1
p5-Try-Tiny-0.30
p5-Type-Tie-0.015
p5-Type-Tiny-1.012004
p5-Type-Tiny-XS-0.022
p5-Types-Serialiser-1.01
p5-URI-5.09
p5-URI-cpan-1.007
p5-Unicode-EastAsianWidth-12.0
p5-Unicode-Map8-0.13_1
p5-Unicode-String-2.10
p5-Variable-Magic-0.62
p5-WWW-RobotRules-6.02_1
p5-XML-NamespaceSupport-1.12
p5-XML-Parser-2.44
p5-XML-SAX-1.02
p5-XML-SAX-Base-1.09
p5-XML-SAX-Expat-0.51_1
p5-XML-Simple-2.25
p5-YAML-Tiny-1.73
p5-aliased-0.34
p5-asa-1.03_1
p5-common-sense-3.75
p5-libwww-6.57
p5-namespace-autoclean-0.29
p5-namespace-clean-0.27
p7zip-16.02_3
pam_helper-1.1
pango-1.48.7
pangomm-2.40.1_4
pciids-20210829
pcre-8.45
pcre2-10.37
perl5-5.32.1_1
php73-7.3.31
php73-ctype-7.3.31
php73-curl-7.3.31
php73-dom-7.3.31
php73-extensions-1.0
php73-filter-7.3.31
php73-hash-7.3.31
php73-iconv-7.3.31
php73-json-7.3.31
php73-mbstring-7.3.31
php73-opcache-7.3.31
php73-pdo-7.3.31
php73-pdo_sqlite-7.3.31
php73-phar-7.3.31
php73-posix-7.3.31
php73-session-7.3.31
php73-simplexml-7.3.31
php73-sqlite3-7.3.31
php73-tokenizer-7.3.31
php73-xml-7.3.31
php73-xmlreader-7.3.31
php73-xmlwriter-7.3.31
pinentry-1.1.1
pinentry-curses-1.1.1
pinentry-gnome3-1.1.1
pixman-0.40.0_1
pkg-1.17.2
pkgconf-1.7.4,1
pluma-1.26.0
png-1.6.37_1
polkit-0.119
polyphone-2.2.0.20210109_2
poppler-21.09.0
poppler-data-0.4.11
poppler-glib-21.09.0
poppler-utils-21.09.0
popt-1.18_1
portaudio-19.6.0_6,1
portlint-2.19.8
portupgrade-2.4.16,2
postgresql96-client-9.6.23
prboom-2.5.0_12
proj-7.2.1,1
protobuf-3.17.3,1
psutils-1.17_5
ptex-2.3.2_2
public_suffix_list-20210831
pugixml-1.11.4
pulseaudio-14.2_3
py38-Automat-20.2.0
py38-Babel-2.9.1
py38-CommonMark-0.9.1
py38-Flask-1.1.2
py38-Jinja2-3.0.1
py38-PyHamcrest-2.0.2
py38-alabaster-0.7.12
py38-apipkg-1.5
py38-appdirs-1.4.4
py38-astroid-2.8.0
py38-atomicwrites-1.4.0
py38-attrs-21.2.0
py38-bcrypt-3.2.0
py38-beaker-1.11.0
py38-beautifulsoup-4.10.0
py38-blinker-1.4
py38-bottleneck-1.3.2
py38-brotlipy-0.7.0
py38-cairo-1.18.1_2,1
py38-certifi-2021.5.30
py38-cffi-1.14.6
py38-chardet-4.0.0,1
py38-cliapp-1.20180812.1
py38-click-7.1.2
py38-colorama-0.4.4
py38-constantly-15.1.0
py38-coverage-4.5.4
py38-cryptography-3.3.2
py38-cycler-0.10.0
py38-cython-0.29.24
py38-dateutil-2.8.1
py38-dbus-1.2.18
py38-decorator-5.1.0
py38-dnspython-1.16.0
py38-docutils-0.17.1
py38-evdev-1.4.0
py38-execnet-1.6.0
py38-filelock-3.0.12
py38-freezegun-1.0.0
py38-fs2-2.4.11
py38-furo-2021.6.18b36
py38-future-0.18.2
py38-gdal-3.3.2
py38-gi-docgen-2021.5_1
py38-gobject3-3.38.0
py38-h2-4.0.0
py38-hpack-4.0.0
py38-html5lib-1.0.1
py38-httpbin-0.7.0
py38-hyperframe-6.0.0
py38-hyperlink-21.0.0
py38-idna-2.10
py38-imagesize-1.2.0
py38-importlib-metadata-4.7.1
py38-incremental-21.3.0
py38-isodate-0.6.0
py38-isort-5.9.3
py38-itsdangerous-0.24
py38-kiwisolver-1.1.0,1
py38-lazy-object-proxy-1.6.0
py38-libxml2-2.9.12
py38-linecache2-1.0.0_1
py38-lxml-4.6.3
py38-m2r-0.2.1_1
py38-mako-1.0.14_1
py38-markdown-3.3.4
py38-markupsafe-2.0.1
py38-matplotlib-3.4.1
py38-mccabe-0.6.1
py38-mistune-0.8.4
py38-more-itertools-8.10.0
py38-nose-1.3.7_1
py38-numexpr-2.7.3
py38-numpy-1.16.6_2,1
py38-olefile-0.46
py38-openssl-20.0.1
py38-packaging-21.0
py38-pandas-1.2.5,1
py38-pbr-5.5.0
py38-pillow-8.2.0
py38-pip-20.3.4
py38-pluggy-0.13.1
py38-ply-3.11
py38-priority1-1.3.0
py38-ptyprocess-0.6.0
py38-py-1.9.0
py38-pyasn1-0.4.7_1
py38-pyasn1-modules-0.2.8
py38-pybind11-2.7.1
py38-pycodestyle-2.7.0
py38-pycparser-2.20
py38-pydot-1.4.2
py38-pyflakes-2.3.0
py38-pygments-2.7.2
py38-pygraphviz-1.6
py38-pyparsing-2.4.7
py38-pyserial-3.5_1
py38-pysocks-1.7.1
py38-pystemmer-2.0.1
py38-pytest-4.6.11
py38-pytest-forked-1.0.2
py38-pytest-runner-5.3.1
py38-pytz-2021.1,1
py38-pyudev-0.22.0
py38-qt5-core-5.15.4_2
py38-qt5-dbussupport-5.15.4
py38-qt5-gui-5.15.4_1
py38-qt5-sip-12.9.0
py38-qt5-widgets-5.15.4_3
py38-raven-6.10.0_1
py38-rdflib-5.0.0
py38-recommonmark-0.5.0_2
py38-reportlab-3.5.68
py38-requests-2.25.1
py38-rich-10.11.0
py38-scikit-sparse-0.4.6
py38-scipy-1.6.0
py38-service_identity-18.1.0
py38-setuptools-57.0.0
py38-setuptools_scm-4.1.2_3
py38-sip-5.5.0_1,1
py38-six-1.16.0
py38-smartypants-2.0.1
py38-snowballstemmer-2.1.0
py38-sortedcontainers-2.3.0
py38-soupsieve-2.0.1
py38-sphinx-3.5.2,1
py38-sphinx-inline-tabs-2021.8.17b10
py38-sphinx_rtd_theme-0.4.3
py38-sphinxcontrib-applehelp-1.0.2
py38-sphinxcontrib-devhelp-1.0.2
py38-sphinxcontrib-htmlhelp-1.0.3
py38-sphinxcontrib-jsmath-1.0.1
py38-sphinxcontrib-qthelp-1.0.3
py38-sphinxcontrib-serializinghtml-1.1.4
py38-sqlite3-3.8.12_7
py38-tkinter-3.8.12_6
py38-toml-0.10.2
py38-tornado-6.1
py38-towncrier-19.2.0_1
py38-traceback2-1.4.0_2
py38-ttystatus-0.36
py38-typing-extensions-3.10.0.2
py38-typogrify-2.0.7
py38-urllib3-1.26.7,1
py38-virtualenv-16.7.5
py38-wcwidth-0.1.8
py38-webencodings-0.5.1
py38-werkzeug-2.0.1
py38-wrapt-1.12.1
py38-yaml-5.4.1
py38-zipp-3.4.0
py38-zope.interface-5.3.0
pydbus-common-1.2.18
pygobject3-common-3.38.0
python-3.8_3,2
python27-2.7.18_1
python3-3_3
python38-3.8.12
qcustomplot-qt5-2.1.0
qhull-7.3.2_1,1
qpdf-10.3.2
qr-code-generator-1.6.0
qscintilla2-qt5-2.13.0
qt5-buildtools-5.15.2_2
qt5-concurrent-5.15.2_2
qt5-core-5.15.2_5
qt5-dbus-5.15.2_1
qt5-declarative-5.15.2_4
qt5-gui-5.15.2_7
qt5-imageformats-5.15.2
qt5-linguisttools-5.15.2_1
qt5-multimedia-5.15.2_2
qt5-network-5.15.2_1
qt5-opengl-5.15.2_2
qt5-printsupport-5.15.2_1
qt5-qmake-5.15.2_1
qt5-sql-5.15.2_1
qt5-svg-5.15.2_1
qt5-testlib-5.15.2_1
qt5-widgets-5.15.2_3
qt5-x11extras-5.15.2_1
qt5-xml-5.15.2_1
quazip-qt5-1.1
raptor-1.4.21_6
raptor2-2.0.15_18
rasqal-0.9.33_1
rdesktop-1.9.0
re2-20210901
readline-8.1.1
recode-3.6_15
redland-1.0.17_4
rgb-1.0.6_2
rhash-1.4.2
robin-map-0.6.3
rpm4-4.16.1.3
rsync-3.2.3_1
rtmidi-4.0.0_2
ruby-2.7.4,1
ruby27-bdb-0.6.6_8
ruby27-gems-3.0.8
rubygem-asciidoctor-2.0.16
rubygem-rdoc-6.3.2
rust-1.55.0
rust-cbindgen-0.20.0_2
samba412-4.12.15_2
sane-backends-1.0.32_7
schilybase-2021.09.18
schroedinger-1.0.11_4
scons-py38-4.2.0
scr2png-1.2_8
scr2txt-1.2
sdl-1.2.15_15,2
sdl2-2.0.12_7
sdl_image-1.2.12_12
sdl_mixer-1.2.12_12
sdl_net-1.2.8_3
sdocbook-xml-1.1_2,2
serd-0.30.10
serf-1.3.9_6
sessreg-1.1.2
setxkbmap-1.3.2
sfcgal-1.4.0
shared-mime-info-2.0
smake-2021.09.18
smartmontools-7.2_1
smpeg-0.4.4_15
smproxy-1.0.6
snappy-1.1.9_1
sndio-1.8.1
sord-0.16.8
soundtouch-2.3.1
source-highlight-3.1.9_1
spandsp-0.0.6
spatialite-5.0.1
speech-dispatcher-0.10.2
speex-1.2.0,1
speexdsp-1.2.0
spidermonkey78-78.9.0_1
sqlite3-3.35.5_3,1
squish-1.10_2
sratom-0.6.8
startup-notification-0.12_4
stk-4.6.1_2
subversion-1.14.1
sudo-1.9.8p2
suil-0.10.10
suitesparse-amd-2.4.6
suitesparse-camd-2.4.6
suitesparse-ccolamd-2.9.6
suitesparse-cholmod-3.0.14
suitesparse-colamd-2.9.6
suitesparse-config-5.10.1
suitesparse-umfpack-5.7.9
swig-4.0.2
t1lib-5.1.2_5,1
taglib-1.12
talloc-2.3.1
tcl86-8.6.11_2
tdb-1.4.3,1
teckit-2.5.7
tevent-0.10.2_1
tex-basic-engines-20150521
tex-dvipsk-5.995_2
tex-formats-20150521_2
tex-jadetex-3.13_3
tex-kpathsea-6.2.1_2
tex-ptexenc-1.3.3_2
tex-web2c-20150521_3
tex-xmltex-1.9_2
texi2html-5.0_2,1
texinfo-6.8,1
texlive-base-20150521_71
texlive-texmf-20150523_4
texlive-tlmgr-20150523_2
thunderbird-91.2.0_1
tidy-html5-5.8.0
tiff-4.3.0
tigervnc-server-1.11.0_4
tigervnc-viewer-1.11.0
timidity-0.2i_1
tinyxml-2.6.2_4
tk86-8.6.11_2
tpm-emulator-0.7.4_2
tradcpp-0.5.3
tree-1.8.0
trousers-0.3.14_3
twemoji-color-font-ttf-13.1.0
twm-1.0.11_1
twolame-0.4.0_1
ucpp-1.3.2,1
unixODBC-2.3.9
unrar-6.02,6
unzip-6.0_8
upower-0.99.13
uriparser-0.9.5
usbids-20210719
utf8proc-2.6.1
v4l_compat-1.20.0_2
vala-0.48.18,1
vamp-plugin-sdk-2.9.0_1
vigra-1.11.1_20
virtualbox-ose-6.1.26_3
virtualbox-ose-kmod-6.1.26
vlc-3.0.16_6,4
vobcopy-1.2.0_8
vorbis-tools-1.4.2,3
vte3-0.64.2
vulkan-headers-1.2.194
w3m-0.5.3.20210905
wavpack-5.4.0
wayland-1.19.0_1
wayland-protocols-1.23
webcamd-5.13.2.6_1
webkit2-gtk3-2.34.0
webp-1.2.1
webrtc-audio-processing0-0.3.1_2
wget-1.21
woff2-1.0.2_4
wx31-gtk3-3.1.5_1
x11perf-1.6.1
x265-3.4_1
xaos-4.2.1_1
xauth-1.1
xbacklight-1.2.3
xbitmaps-1.1.2
xcalc-1.1.0
xcb-proto-1.14.1
xcb-util-0.4.0_2,1
xcb-util-image-0.4.0_1
xcb-util-keysyms-0.4.0_1
xcb-util-renderutil-0.3.9_1
xcb-util-wm-0.4.1_3
xclip-0.13
xclipboard-1.1.3,1
xclock-1.0.9
xcmsdb-1.0.5
xconsole-1.0.7_1
xcursor-themes-1.0.6
xcursorgen-1.0.7
xdaliclock-2.44
xdg-utils-1.1.3_1
xdotool-3.20210804.2,1
xdpyinfo-1.3.2_3
xdriinfo-1.0.6_4
xearth-1.2
xerces-c3-3.2.3
xev-1.2.4
xf86-input-evdev-2.10.6_6
xf86-input-keyboard-1.9.0_4
xf86-input-mouse-1.9.3_3
xf86-input-vmmouse-13.1.0_5
xf86-video-vesa-2.5.0
xf86dga-1.0.3_1
xgamma-1.0.6
xgc-1.0.5
xhost-1.0.8
xhtml-1.0.20020801_5
xinit-1.4.1,1
xinput-1.6.3
xkbcomp-1.4.4
xkbevd-1.1.4
xkbutils-1.0.4_2
xkeyboard-config-2.32
xkill-1.0.5
xlsatoms-1.1.3
xlsclients-1.1.4
xmessage-1.0.5
xmlcatmgr-2.2_2
xmlcharent-0.3_2
xmlsec1-1.2.29
xmlto-0.0.28
xmodmap-1.0.10
xmountains-2.10
xorg-7.7_3
xorg-apps-7.7_4
xorg-cf-files-1.0.6
xorg-docs-1.7.1,1
xorg-drivers-7.7_6
xorg-fonts-7.7_1
xorg-fonts-100dpi-7.7
xorg-fonts-75dpi-7.7
xorg-fonts-cyrillic-7.7
xorg-fonts-miscbitmaps-7.7
xorg-fonts-truetype-7.7_1
xorg-fonts-type1-7.7
xorg-libraries-7.7_4
xorg-macros-1.19.3
xorg-server-1.20.13,1
xorg-vfbserver-1.20.11_1,1
xorgproto-2021.4
xpdfopen-0.86
xplanet-1.3.1
xpr-1.0.5
xprop-1.2.5
xrandr-1.5.1
xrdb-1.2.0
xrefresh-1.0.6
xsane-0.999_6
xscreensaver-5.44_1
xsel-conrad-1.2.0_1
xset-1.2.4_3
xsetroot-1.1.2
xsnow-3.3.1
xterm-369
xtrans-1.4.0
xvid-1.3.7,1
xvinfo-1.1.4
xwd-1.0.7
xwininfo-1.1.5
xwud-1.0.5
xxhash-0.8.0
xzoom-0.4
yajl-2.1.0
yaml-cpp03-0.3.0_2
yasm-1.3.0
yelp-40.3
yelp-tools-40.0
yelp-xsl-40.2
ykpers-1.19.0_1
zenity-3.32.0
zip-3.0_1
zstd-1.5.0
zxing-cpp-1.2.0
zziplib-0.13.72_1
Comment 1 Kai Knoblich freebsd_committer 2021-10-25 11:58:03 UTC
Created attachment 229020 [details]
py-setuptools_scm-5.0.2.patch

(In reply to Bob Frazier from comment #0)

Hi Bob, thank you for the report and the info! 

At the outset: Can you please try the attached patch? It updates devel/py-setuptools_scm to 5.0.2 and should fix the issue with devel/py-platformdirs.

More detailed info:

The devel/py-platformdirs port has "setuptools_scm[toml]>=5" in its "pyproject.toml" (see also bug #259381, comment #2) thus it requires a newer version of devel/py-setuptools_scm which is still at 4.1.2_3.

Regarding the test suite:

> =================================== 1 failed, 112 passed, 34 skipped, 1 xfailed in 15.71 seconds ===================================
> *** Error code 1

Only one test failed and that one might be a "red herring". I'm able to run the test suite without any problems.
Comment 2 Bob Frazier 2021-10-25 15:04:30 UTC
(In reply to Kai Knoblich from comment #1)

yes!  this patch was perfect (thank you)

totem build proceeding as expected (hopefully nothing else to deal with)
Comment 3 Bob Frazier 2021-10-25 16:16:45 UTC
totem completed building.  all good now as far as I can tell.  hopefully the update to py-setuptools_scm version 5+ did not break anything else and fixed everything else at the same time.
Comment 4 Kai Knoblich freebsd_committer 2021-10-25 18:23:42 UTC
(In reply to Bob Frazier from comment #3)

Thank you for the quick feedback, it's nice to hear, that the devel/py-setuptools_scm v5.0.2 update solved the issue.

I'll do some more QA work and if everything works out, devel/py-setuptools_scm 5.0.2 should be committed in 1-2 days from now on in the main branch.  I plan to do a MFH to the 2021Q4 branch as well.

Please don't hesitate to contact me if you should still find a problem with devel/py-setuptools_scm.
Comment 5 commit-hook freebsd_committer 2021-10-26 10:15:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=33a4a1d205bd4323d330b7cc5f39925e5b3e811c

commit 33a4a1d205bd4323d330b7cc5f39925e5b3e811c
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-10-26 10:08:35 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-10-26 10:08:35 +0000

    devel/py-setuptools_scm: Update to 5.0.2

    * Use this release as an intermediate step before the port is updated
      to the 6.x release, because it contains mostly bugfixes and is also
      required for the 2021Q4 branch.

      The latter is necessary in order to be able to build certain ports
      successfully if devel/py-setuptools_scm is already present in the
      build environment.  For instance, devel/py-platformdirs, which can be
      built without it but if devel/py-setuptools is already installed, it
      requires the 5.x release of it for build. [1]

    * Also adjust the description of the TOML option slightly with an                                                                               appropriate warning to avoid build issues related to parsing
      "pyproject.toml" files during setup. [2]

    Changelog since 4.1.2:

    https://github.com/pypa/setuptools_scm/blob/v5.0.2/CHANGELOG.rst

    PR:             259381 [2], 259420 (both related)
    MFH:            2021Q4 (after 1 week) [1]

 devel/py-setuptools_scm/Makefile | 5 ++---
 devel/py-setuptools_scm/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 6 deletions(-)
Comment 6 Kai Knoblich freebsd_committer 2021-10-26 11:18:13 UTC
Committed, devel/py-setuptools_scm is now at 5.0.2 in the main branch, pending MFH to 2021Q4.
Comment 7 commit-hook freebsd_committer 2021-11-02 11:56:48 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5bfd0738fbe861b2a371801dbe7f12daf5d93f33

commit 5bfd0738fbe861b2a371801dbe7f12daf5d93f33
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-10-26 10:08:35 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-11-02 11:53:57 +0000

    devel/py-setuptools_scm: Update to 5.0.2

    * Use this release as an intermediate step before the port is updated
      to the 6.x release, because it contains mostly bugfixes and is also
      required for the 2021Q4 branch.

      The latter is necessary in order to be able to build certain ports
      successfully if devel/py-setuptools_scm is already present in the
      build environment.  For instance, devel/py-platformdirs, which can be
      built without it but if devel/py-setuptools is already installed, it
      requires the 5.x release of it for build. [1]

    * Also adjust the description of the TOML option slightly with an                                                                               appropriate warning to avoid build issues related to parsing
      "pyproject.toml" files during setup. [2]

    Changelog since 4.1.2:

    https://github.com/pypa/setuptools_scm/blob/v5.0.2/CHANGELOG.rst

    PR:             259381 [2], 259420 (both related)
    MFH:            2021Q4 (after 1 week) [1]
    (cherry picked from commit 33a4a1d205bd4323d330b7cc5f39925e5b3e811c)

 devel/py-setuptools_scm/Makefile | 5 ++---
 devel/py-setuptools_scm/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 6 deletions(-)
Comment 8 Kai Knoblich freebsd_committer 2021-11-02 12:02:59 UTC
Committed to the 2021Q4 branch, all done!

Thank you, Bob, for reporting the issue and the quick feedback!